= tlsrpt_finish_delivery_request(3)
Boris Lohner
v0.5.0
:doctype: manpage
:manmanual: tlsrpt_finish_delivery_request
:mansource: tlsrpt_finish_delivery_request
:man-linkstyle: pass:[blue R < >]

== Name

tlsrpt_finish_delivery_request - finishes the delivery request

== Synopsis

#include <tlsrpt.h>

int tlsrpt_finish_delivery_request(struct tlsrpt_dr_t** pdr)

== Description

The `tlsrpt_finish_delivery_request` function finishes the delivery request.
`tlsrpt_finish_delivery_request` cleans up the resources used by the delivery request `dr` and if no errors have occurred sends it as a datagram to the TLSRPT collectd.
It deallocates the `struct tlsrpt_dr_t` and sets *pdr to `NULL`.


== Return value

The tlsrpt_finish_delivery_request function returns 0 on success and a combined error code on failure.
The combined error code can be analyzed with the _tlsrpt_strerror_ function.

== See also
man:tlsrpt_init_delivery_request[3], man:tlsrpt_cancel_delivery_request[3], man:tlsrpt_strerror[3], man:tlsrpt_error_code_is_internal[3]






